# eric7.VirtualEnv.VirtualenvManagerWidgets

Module implementing a dialog to manage the list of defined virtual environments.

### Global Attributes

None

### Classes

VirtualenvManagerDialog | Class implementing the virtual environments manager dialog variant.
VirtualenvManagerWidget | Class implementing a widget to manage the list of defined virtual environments.
VirtualenvManagerWindow | Main window class for the standalone virtual environments manager.

### Functions

None

## VirtualenvManagerDialog

Class implementing the virtual environments manager dialog variant.

### Derived from

QDialog

### Class Attributes

None

### Class Methods

None

### Methods

VirtualenvManagerDialog | Constructor

### Static Methods

None

#### VirtualenvManagerDialog (Constructor)

VirtualenvManagerDialog(manager, parent=None)

Constructor

manager (VirtualenvManager)
  reference to the virtual environment manager
parent (QWidget)
  reference to the parent widget

Up

## VirtualenvManagerWidget

Class implementing a widget to manage the list of defined virtual environments.

### Derived from

QWidget, Ui_VirtualenvManagerWidget

### Class Attributes

ExecPathRole
IsCondaRole
IsGlobalRole
IsRemoteRole

### Class Methods

None

### Methods

VirtualenvManagerWidget | Constructor
__populateVenvList | Private method to populate the list of virtual environments.
__refresh | Private slot to refresh the list of shown items.
__resizeSections | Private method to resize the sections of the environment list to their contents.
__updateButtons | Private method to update the enabled state of the various buttons.
on_addButton_clicked | Private slot to add a new entry.
on_deleteAllButton_clicked | Private slot to delete all entries from the list and disk.
on_deleteButton_clicked | Private slot to delete all selected entries from the list and disk.
on_editButton_clicked | Private slot to edit the selected entry.
on_newButton_clicked | Private slot to create a new virtual environment.
on_removeAllButton_clicked | Private slot to remove all entries from the list but keep their directories.
on_removeButton_clicked | Private slot to remove all selected entries from the list but keep their directories.
on_saveButton_clicked | Private slot to save the base directory name.
on_venvList_itemSelectionChanged | Private slot handling a change of the selected items.

### Static Methods

None

#### VirtualenvManagerWidget (Constructor)

VirtualenvManagerWidget(manager, parent=None)

Constructor

manager (VirtualenvManager)
  reference to the virtual environment manager
parent (QWidget)
  reference to the parent widget

#### VirtualenvManagerWidget.__populateVenvList

__populateVenvList()

Private method to populate the list of virtual environments.

#### VirtualenvManagerWidget.__refresh

__refresh()

Private slot to refresh the list of shown items.

#### VirtualenvManagerWidget.__resizeSections

__resizeSections()

Private method to resize the sections of the environment list to their contents.

#### VirtualenvManagerWidget.__updateButtons

__updateButtons()

Private method to update the enabled state of the various buttons.

#### VirtualenvManagerWidget.on_addButton_clicked

on_addButton_clicked()

Private slot to add a new entry.

#### VirtualenvManagerWidget.on_deleteAllButton_clicked

on_deleteAllButton_clicked()

Private slot to delete all entries from the list and disk.

#### VirtualenvManagerWidget.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete all selected entries from the list and disk.

#### VirtualenvManagerWidget.on_editButton_clicked

on_editButton_clicked()

Private slot to edit the selected entry.

#### VirtualenvManagerWidget.on_newButton_clicked

on_newButton_clicked()

Private slot to create a new virtual environment.

#### VirtualenvManagerWidget.on_removeAllButton_clicked

on_removeAllButton_clicked()

Private slot to remove all entries from the list but keep their directories.

#### VirtualenvManagerWidget.on_removeButton_clicked

on_removeButton_clicked()

Private slot to remove all selected entries from the list but keep their directories.

#### VirtualenvManagerWidget.on_saveButton_clicked

on_saveButton_clicked()

Private slot to save the base directory name.

#### VirtualenvManagerWidget.on_venvList_itemSelectionChanged

on_venvList_itemSelectionChanged()

Private slot handling a change of the selected items.

Up

## VirtualenvManagerWindow

Main window class for the standalone virtual environments manager.

### Derived from

EricMainWindow

### Class Attributes

None

### Class Methods

None

### Methods

VirtualenvManagerWindow | Constructor

### Static Methods

None

#### VirtualenvManagerWindow (Constructor)

VirtualenvManagerWindow(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

Up